Subject: RE: [PWE3] MPLS PID

From: Alia Atlas <[email-masked]>
Date: Wed, 26 Mar 2003 18:43:34 -0500

At 01:33 PM 3/26/2003 -0800, Shahram Davari wrote:
>Tweaking IETF standards to try to support all possible proprietary hashing
>algorithms is not what I call standards development. What if a vendor decides
>to distinguish IP protocol using IP header CRC. Will we now mandate that 
>all encapsulated
>protocols should not yield a valid CRC at that specific position in the 
>header?

There is equipment that does look at the IP header CRC as well as the 
version field and various others for sanity-checking...  but I really think 
that any equipment which is sophisticated enough to compute and verify the 
IP header checksum will also check the version field.

>Egress always knows what protocol is encapsulated after the bottom label.

Not necessarily whether it is IPv4 or IPv6 except by checking the IP header.

Alia